Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network9.36.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
9.36.0.0
Broadcast address
9.37.255.255
First usable
9.36.0.1
Last usable
9.37.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 09240000 · Integer 153354240 to 153485311
Reverse DNS zones
36.9.in-addr.arpa
37.9.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001001.00100100.00000000.000000009.36.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00001001.00100100.00000000.000000009.36.0.0
Broadcast00001001.00100101.11111111.111111119.37.255.255
Split into smaller subnets/27

9.36.0.0/15 makes 4,096 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
19.36.0.0/279.36.0.1 to 9.36.0.309.36.0.3130
29.36.0.32/279.36.0.33 to 9.36.0.629.36.0.6330
39.36.0.64/279.36.0.65 to 9.36.0.949.36.0.9530
49.36.0.96/279.36.0.97 to 9.36.0.1269.36.0.12730
59.36.0.128/279.36.0.129 to 9.36.0.1589.36.0.15930
69.36.0.160/279.36.0.161 to 9.36.0.1909.36.0.19130
79.36.0.192/279.36.0.193 to 9.36.0.2229.36.0.22330
89.36.0.224/279.36.0.225 to 9.36.0.2549.36.0.25530
99.36.1.0/279.36.1.1 to 9.36.1.309.36.1.3130
109.36.1.32/279.36.1.33 to 9.36.1.629.36.1.6330
119.36.1.64/279.36.1.65 to 9.36.1.949.36.1.9530
129.36.1.96/279.36.1.97 to 9.36.1.1269.36.1.12730
139.36.1.128/279.36.1.129 to 9.36.1.1589.36.1.15930
149.36.1.160/279.36.1.161 to 9.36.1.1909.36.1.19130
159.36.1.192/279.36.1.193 to 9.36.1.2229.36.1.22330
169.36.1.224/279.36.1.225 to 9.36.1.2549.36.1.25530
179.36.2.0/279.36.2.1 to 9.36.2.309.36.2.3130
189.36.2.32/279.36.2.33 to 9.36.2.629.36.2.6330
199.36.2.64/279.36.2.65 to 9.36.2.949.36.2.9530
209.36.2.96/279.36.2.97 to 9.36.2.1269.36.2.12730
219.36.2.128/279.36.2.129 to 9.36.2.1589.36.2.15930
229.36.2.160/279.36.2.161 to 9.36.2.1909.36.2.19130
239.36.2.192/279.36.2.193 to 9.36.2.2229.36.2.22330
249.36.2.224/279.36.2.225 to 9.36.2.2549.36.2.25530
259.36.3.0/279.36.3.1 to 9.36.3.309.36.3.3130
269.36.3.32/279.36.3.33 to 9.36.3.629.36.3.6330
279.36.3.64/279.36.3.65 to 9.36.3.949.36.3.9530
289.36.3.96/279.36.3.97 to 9.36.3.1269.36.3.12730
299.36.3.128/279.36.3.129 to 9.36.3.1589.36.3.15930
309.36.3.160/279.36.3.161 to 9.36.3.1909.36.3.19130
319.36.3.192/279.36.3.193 to 9.36.3.2229.36.3.22330
329.36.3.224/279.36.3.225 to 9.36.3.2549.36.3.25530
339.36.4.0/279.36.4.1 to 9.36.4.309.36.4.3130
349.36.4.32/279.36.4.33 to 9.36.4.629.36.4.6330
359.36.4.64/279.36.4.65 to 9.36.4.949.36.4.9530
369.36.4.96/279.36.4.97 to 9.36.4.1269.36.4.12730
379.36.4.128/279.36.4.129 to 9.36.4.1589.36.4.15930
389.36.4.160/279.36.4.161 to 9.36.4.1909.36.4.19130
399.36.4.192/279.36.4.193 to 9.36.4.2229.36.4.22330
409.36.4.224/279.36.4.225 to 9.36.4.2549.36.4.25530
419.36.5.0/279.36.5.1 to 9.36.5.309.36.5.3130
429.36.5.32/279.36.5.33 to 9.36.5.629.36.5.6330
439.36.5.64/279.36.5.65 to 9.36.5.949.36.5.9530
449.36.5.96/279.36.5.97 to 9.36.5.1269.36.5.12730
459.36.5.128/279.36.5.129 to 9.36.5.1589.36.5.15930
469.36.5.160/279.36.5.161 to 9.36.5.1909.36.5.19130
479.36.5.192/279.36.5.193 to 9.36.5.2229.36.5.22330
489.36.5.224/279.36.5.225 to 9.36.5.2549.36.5.25530
499.36.6.0/279.36.6.1 to 9.36.6.309.36.6.3130
509.36.6.32/279.36.6.33 to 9.36.6.629.36.6.6330
519.36.6.64/279.36.6.65 to 9.36.6.949.36.6.9530
529.36.6.96/279.36.6.97 to 9.36.6.1269.36.6.12730
539.36.6.128/279.36.6.129 to 9.36.6.1589.36.6.15930
549.36.6.160/279.36.6.161 to 9.36.6.1909.36.6.19130
559.36.6.192/279.36.6.193 to 9.36.6.2229.36.6.22330
569.36.6.224/279.36.6.225 to 9.36.6.2549.36.6.25530
579.36.7.0/279.36.7.1 to 9.36.7.309.36.7.3130
589.36.7.32/279.36.7.33 to 9.36.7.629.36.7.6330
599.36.7.64/279.36.7.65 to 9.36.7.949.36.7.9530
609.36.7.96/279.36.7.97 to 9.36.7.1269.36.7.12730
619.36.7.128/279.36.7.129 to 9.36.7.1589.36.7.15930
629.36.7.160/279.36.7.161 to 9.36.7.1909.36.7.19130
639.36.7.192/279.36.7.193 to 9.36.7.2229.36.7.22330
649.36.7.224/279.36.7.225 to 9.36.7.2549.36.7.25530
659.36.8.0/279.36.8.1 to 9.36.8.309.36.8.3130
669.36.8.32/279.36.8.33 to 9.36.8.629.36.8.6330
679.36.8.64/279.36.8.65 to 9.36.8.949.36.8.9530
689.36.8.96/279.36.8.97 to 9.36.8.1269.36.8.12730
699.36.8.128/279.36.8.129 to 9.36.8.1589.36.8.15930
709.36.8.160/279.36.8.161 to 9.36.8.1909.36.8.19130
719.36.8.192/279.36.8.193 to 9.36.8.2229.36.8.22330
729.36.8.224/279.36.8.225 to 9.36.8.2549.36.8.25530
739.36.9.0/279.36.9.1 to 9.36.9.309.36.9.3130
749.36.9.32/279.36.9.33 to 9.36.9.629.36.9.6330
759.36.9.64/279.36.9.65 to 9.36.9.949.36.9.9530
769.36.9.96/279.36.9.97 to 9.36.9.1269.36.9.12730
779.36.9.128/279.36.9.129 to 9.36.9.1589.36.9.15930
789.36.9.160/279.36.9.161 to 9.36.9.1909.36.9.19130
799.36.9.192/279.36.9.193 to 9.36.9.2229.36.9.22330
809.36.9.224/279.36.9.225 to 9.36.9.2549.36.9.25530
819.36.10.0/279.36.10.1 to 9.36.10.309.36.10.3130
829.36.10.32/279.36.10.33 to 9.36.10.629.36.10.6330
839.36.10.64/279.36.10.65 to 9.36.10.949.36.10.9530
849.36.10.96/279.36.10.97 to 9.36.10.1269.36.10.12730
859.36.10.128/279.36.10.129 to 9.36.10.1589.36.10.15930
869.36.10.160/279.36.10.161 to 9.36.10.1909.36.10.19130
879.36.10.192/279.36.10.193 to 9.36.10.2229.36.10.22330
889.36.10.224/279.36.10.225 to 9.36.10.2549.36.10.25530
899.36.11.0/279.36.11.1 to 9.36.11.309.36.11.3130
909.36.11.32/279.36.11.33 to 9.36.11.629.36.11.6330
919.36.11.64/279.36.11.65 to 9.36.11.949.36.11.9530
929.36.11.96/279.36.11.97 to 9.36.11.1269.36.11.12730
939.36.11.128/279.36.11.129 to 9.36.11.1589.36.11.15930
949.36.11.160/279.36.11.161 to 9.36.11.1909.36.11.19130
959.36.11.192/279.36.11.193 to 9.36.11.2229.36.11.22330
969.36.11.224/279.36.11.225 to 9.36.11.2549.36.11.25530
979.36.12.0/279.36.12.1 to 9.36.12.309.36.12.3130
989.36.12.32/279.36.12.33 to 9.36.12.629.36.12.6330
999.36.12.64/279.36.12.65 to 9.36.12.949.36.12.9530
1009.36.12.96/279.36.12.97 to 9.36.12.1269.36.12.12730
1019.36.12.128/279.36.12.129 to 9.36.12.1589.36.12.15930
1029.36.12.160/279.36.12.161 to 9.36.12.1909.36.12.19130
1039.36.12.192/279.36.12.193 to 9.36.12.2229.36.12.22330
1049.36.12.224/279.36.12.225 to 9.36.12.2549.36.12.25530
1059.36.13.0/279.36.13.1 to 9.36.13.309.36.13.3130
1069.36.13.32/279.36.13.33 to 9.36.13.629.36.13.6330
1079.36.13.64/279.36.13.65 to 9.36.13.949.36.13.9530
1089.36.13.96/279.36.13.97 to 9.36.13.1269.36.13.12730
1099.36.13.128/279.36.13.129 to 9.36.13.1589.36.13.15930
1109.36.13.160/279.36.13.161 to 9.36.13.1909.36.13.19130
1119.36.13.192/279.36.13.193 to 9.36.13.2229.36.13.22330
1129.36.13.224/279.36.13.225 to 9.36.13.2549.36.13.25530
1139.36.14.0/279.36.14.1 to 9.36.14.309.36.14.3130
1149.36.14.32/279.36.14.33 to 9.36.14.629.36.14.6330
1159.36.14.64/279.36.14.65 to 9.36.14.949.36.14.9530
1169.36.14.96/279.36.14.97 to 9.36.14.1269.36.14.12730
1179.36.14.128/279.36.14.129 to 9.36.14.1589.36.14.15930
1189.36.14.160/279.36.14.161 to 9.36.14.1909.36.14.19130
1199.36.14.192/279.36.14.193 to 9.36.14.2229.36.14.22330
1209.36.14.224/279.36.14.225 to 9.36.14.2549.36.14.25530
1219.36.15.0/279.36.15.1 to 9.36.15.309.36.15.3130
1229.36.15.32/279.36.15.33 to 9.36.15.629.36.15.6330
1239.36.15.64/279.36.15.65 to 9.36.15.949.36.15.9530
1249.36.15.96/279.36.15.97 to 9.36.15.1269.36.15.12730
1259.36.15.128/279.36.15.129 to 9.36.15.1589.36.15.15930
1269.36.15.160/279.36.15.161 to 9.36.15.1909.36.15.19130
1279.36.15.192/279.36.15.193 to 9.36.15.2229.36.15.22330
1289.36.15.224/279.36.15.225 to 9.36.15.2549.36.15.25530
1299.36.16.0/279.36.16.1 to 9.36.16.309.36.16.3130
1309.36.16.32/279.36.16.33 to 9.36.16.629.36.16.6330
1319.36.16.64/279.36.16.65 to 9.36.16.949.36.16.9530
1329.36.16.96/279.36.16.97 to 9.36.16.1269.36.16.12730
1339.36.16.128/279.36.16.129 to 9.36.16.1589.36.16.15930
1349.36.16.160/279.36.16.161 to 9.36.16.1909.36.16.19130
1359.36.16.192/279.36.16.193 to 9.36.16.2229.36.16.22330
1369.36.16.224/279.36.16.225 to 9.36.16.2549.36.16.25530
1379.36.17.0/279.36.17.1 to 9.36.17.309.36.17.3130
1389.36.17.32/279.36.17.33 to 9.36.17.629.36.17.6330
1399.36.17.64/279.36.17.65 to 9.36.17.949.36.17.9530
1409.36.17.96/279.36.17.97 to 9.36.17.1269.36.17.12730
1419.36.17.128/279.36.17.129 to 9.36.17.1589.36.17.15930
1429.36.17.160/279.36.17.161 to 9.36.17.1909.36.17.19130
1439.36.17.192/279.36.17.193 to 9.36.17.2229.36.17.22330
1449.36.17.224/279.36.17.225 to 9.36.17.2549.36.17.25530
1459.36.18.0/279.36.18.1 to 9.36.18.309.36.18.3130
1469.36.18.32/279.36.18.33 to 9.36.18.629.36.18.6330
1479.36.18.64/279.36.18.65 to 9.36.18.949.36.18.9530
1489.36.18.96/279.36.18.97 to 9.36.18.1269.36.18.12730
1499.36.18.128/279.36.18.129 to 9.36.18.1589.36.18.15930
1509.36.18.160/279.36.18.161 to 9.36.18.1909.36.18.19130
1519.36.18.192/279.36.18.193 to 9.36.18.2229.36.18.22330
1529.36.18.224/279.36.18.225 to 9.36.18.2549.36.18.25530
1539.36.19.0/279.36.19.1 to 9.36.19.309.36.19.3130
1549.36.19.32/279.36.19.33 to 9.36.19.629.36.19.6330
1559.36.19.64/279.36.19.65 to 9.36.19.949.36.19.9530
1569.36.19.96/279.36.19.97 to 9.36.19.1269.36.19.12730
1579.36.19.128/279.36.19.129 to 9.36.19.1589.36.19.15930
1589.36.19.160/279.36.19.161 to 9.36.19.1909.36.19.19130
1599.36.19.192/279.36.19.193 to 9.36.19.2229.36.19.22330
1609.36.19.224/279.36.19.225 to 9.36.19.2549.36.19.25530
1619.36.20.0/279.36.20.1 to 9.36.20.309.36.20.3130
1629.36.20.32/279.36.20.33 to 9.36.20.629.36.20.6330
1639.36.20.64/279.36.20.65 to 9.36.20.949.36.20.9530
1649.36.20.96/279.36.20.97 to 9.36.20.1269.36.20.12730
1659.36.20.128/279.36.20.129 to 9.36.20.1589.36.20.15930
1669.36.20.160/279.36.20.161 to 9.36.20.1909.36.20.19130
1679.36.20.192/279.36.20.193 to 9.36.20.2229.36.20.22330
1689.36.20.224/279.36.20.225 to 9.36.20.2549.36.20.25530
1699.36.21.0/279.36.21.1 to 9.36.21.309.36.21.3130
1709.36.21.32/279.36.21.33 to 9.36.21.629.36.21.6330
1719.36.21.64/279.36.21.65 to 9.36.21.949.36.21.9530
1729.36.21.96/279.36.21.97 to 9.36.21.1269.36.21.12730
1739.36.21.128/279.36.21.129 to 9.36.21.1589.36.21.15930
1749.36.21.160/279.36.21.161 to 9.36.21.1909.36.21.19130
1759.36.21.192/279.36.21.193 to 9.36.21.2229.36.21.22330
1769.36.21.224/279.36.21.225 to 9.36.21.2549.36.21.25530
1779.36.22.0/279.36.22.1 to 9.36.22.309.36.22.3130
1789.36.22.32/279.36.22.33 to 9.36.22.629.36.22.6330
1799.36.22.64/279.36.22.65 to 9.36.22.949.36.22.9530
1809.36.22.96/279.36.22.97 to 9.36.22.1269.36.22.12730
1819.36.22.128/279.36.22.129 to 9.36.22.1589.36.22.15930
1829.36.22.160/279.36.22.161 to 9.36.22.1909.36.22.19130
1839.36.22.192/279.36.22.193 to 9.36.22.2229.36.22.22330
1849.36.22.224/279.36.22.225 to 9.36.22.2549.36.22.25530
1859.36.23.0/279.36.23.1 to 9.36.23.309.36.23.3130
1869.36.23.32/279.36.23.33 to 9.36.23.629.36.23.6330
1879.36.23.64/279.36.23.65 to 9.36.23.949.36.23.9530
1889.36.23.96/279.36.23.97 to 9.36.23.1269.36.23.12730
1899.36.23.128/279.36.23.129 to 9.36.23.1589.36.23.15930
1909.36.23.160/279.36.23.161 to 9.36.23.1909.36.23.19130
1919.36.23.192/279.36.23.193 to 9.36.23.2229.36.23.22330
1929.36.23.224/279.36.23.225 to 9.36.23.2549.36.23.25530
1939.36.24.0/279.36.24.1 to 9.36.24.309.36.24.3130
1949.36.24.32/279.36.24.33 to 9.36.24.629.36.24.6330
1959.36.24.64/279.36.24.65 to 9.36.24.949.36.24.9530
1969.36.24.96/279.36.24.97 to 9.36.24.1269.36.24.12730
1979.36.24.128/279.36.24.129 to 9.36.24.1589.36.24.15930
1989.36.24.160/279.36.24.161 to 9.36.24.1909.36.24.19130
1999.36.24.192/279.36.24.193 to 9.36.24.2229.36.24.22330
2009.36.24.224/279.36.24.225 to 9.36.24.2549.36.24.25530
2019.36.25.0/279.36.25.1 to 9.36.25.309.36.25.3130
2029.36.25.32/279.36.25.33 to 9.36.25.629.36.25.6330
2039.36.25.64/279.36.25.65 to 9.36.25.949.36.25.9530
2049.36.25.96/279.36.25.97 to 9.36.25.1269.36.25.12730
2059.36.25.128/279.36.25.129 to 9.36.25.1589.36.25.15930
2069.36.25.160/279.36.25.161 to 9.36.25.1909.36.25.19130
2079.36.25.192/279.36.25.193 to 9.36.25.2229.36.25.22330
2089.36.25.224/279.36.25.225 to 9.36.25.2549.36.25.25530
2099.36.26.0/279.36.26.1 to 9.36.26.309.36.26.3130
2109.36.26.32/279.36.26.33 to 9.36.26.629.36.26.6330
2119.36.26.64/279.36.26.65 to 9.36.26.949.36.26.9530
2129.36.26.96/279.36.26.97 to 9.36.26.1269.36.26.12730
2139.36.26.128/279.36.26.129 to 9.36.26.1589.36.26.15930
2149.36.26.160/279.36.26.161 to 9.36.26.1909.36.26.19130
2159.36.26.192/279.36.26.193 to 9.36.26.2229.36.26.22330
2169.36.26.224/279.36.26.225 to 9.36.26.2549.36.26.25530
2179.36.27.0/279.36.27.1 to 9.36.27.309.36.27.3130
2189.36.27.32/279.36.27.33 to 9.36.27.629.36.27.6330
2199.36.27.64/279.36.27.65 to 9.36.27.949.36.27.9530
2209.36.27.96/279.36.27.97 to 9.36.27.1269.36.27.12730
2219.36.27.128/279.36.27.129 to 9.36.27.1589.36.27.15930
2229.36.27.160/279.36.27.161 to 9.36.27.1909.36.27.19130
2239.36.27.192/279.36.27.193 to 9.36.27.2229.36.27.22330
2249.36.27.224/279.36.27.225 to 9.36.27.2549.36.27.25530
2259.36.28.0/279.36.28.1 to 9.36.28.309.36.28.3130
2269.36.28.32/279.36.28.33 to 9.36.28.629.36.28.6330
2279.36.28.64/279.36.28.65 to 9.36.28.949.36.28.9530
2289.36.28.96/279.36.28.97 to 9.36.28.1269.36.28.12730
2299.36.28.128/279.36.28.129 to 9.36.28.1589.36.28.15930
2309.36.28.160/279.36.28.161 to 9.36.28.1909.36.28.19130
2319.36.28.192/279.36.28.193 to 9.36.28.2229.36.28.22330
2329.36.28.224/279.36.28.225 to 9.36.28.2549.36.28.25530
2339.36.29.0/279.36.29.1 to 9.36.29.309.36.29.3130
2349.36.29.32/279.36.29.33 to 9.36.29.629.36.29.6330
2359.36.29.64/279.36.29.65 to 9.36.29.949.36.29.9530
2369.36.29.96/279.36.29.97 to 9.36.29.1269.36.29.12730
2379.36.29.128/279.36.29.129 to 9.36.29.1589.36.29.15930
2389.36.29.160/279.36.29.161 to 9.36.29.1909.36.29.19130
2399.36.29.192/279.36.29.193 to 9.36.29.2229.36.29.22330
2409.36.29.224/279.36.29.225 to 9.36.29.2549.36.29.25530
2419.36.30.0/279.36.30.1 to 9.36.30.309.36.30.3130
2429.36.30.32/279.36.30.33 to 9.36.30.629.36.30.6330
2439.36.30.64/279.36.30.65 to 9.36.30.949.36.30.9530
2449.36.30.96/279.36.30.97 to 9.36.30.1269.36.30.12730
2459.36.30.128/279.36.30.129 to 9.36.30.1589.36.30.15930
2469.36.30.160/279.36.30.161 to 9.36.30.1909.36.30.19130
2479.36.30.192/279.36.30.193 to 9.36.30.2229.36.30.22330
2489.36.30.224/279.36.30.225 to 9.36.30.2549.36.30.25530
2499.36.31.0/279.36.31.1 to 9.36.31.309.36.31.3130
2509.36.31.32/279.36.31.33 to 9.36.31.629.36.31.6330
2519.36.31.64/279.36.31.65 to 9.36.31.949.36.31.9530
2529.36.31.96/279.36.31.97 to 9.36.31.1269.36.31.12730
2539.36.31.128/279.36.31.129 to 9.36.31.1589.36.31.15930
2549.36.31.160/279.36.31.161 to 9.36.31.1909.36.31.19130
2559.36.31.192/279.36.31.193 to 9.36.31.2229.36.31.22330
2569.36.31.224/279.36.31.225 to 9.36.31.2549.36.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses